Clipform

Update a node

Update node text, type, config, or options. Cannot modify the start node.

PATCH
/forms/{formId}/nodes/{nodeId}

Authorization

Authorization
Required
Bearer <token>

API key (cf_*) passed as Bearer token

In: header

Request Body

application/jsonRequired
promptstring
Maximum length: 500
typestring
Value in: "choice" | "open" | "button" | "contact" | "redirect" | "end_screen"
requiredboolean
configobject

Type-specific configuration

optionsarray<object>

Replaces all existing options

Path Parameters

formId
Required
string
Format: "uuid"
nodeId
Required
string
Format: "uuid"
curl -X PATCH "https://api.clipform.io/v1/forms/497f6eca-6276-4993-bfeb-53cbbbba6f08/nodes/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "string",
    "type": "choice",
    "required": true,
    "config": {},
    "options": [
      {
        "content": "string"
      }
    ]
  }'

Node updated

{
  "node_id": "6e0bdcac-9717-4a6f-972e-97489dffeb0c"
}